Retrieves the article stock location list with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
article_stock_location_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_stock_location_id |
Foreign key of the article_stock_location |
globally unique identifier |
Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided |
| article_stock_location_reference_back_office | string |
Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided |
|
| article_stock_location |
Embedded entity "article_stock_location" using ERP PK when adding/updating |
article_stock_location |
Optionally required : article_stock_location_id,article_stock_location_reference_back_office or article_stock_location must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| quantity |
Quantity in stock for this article, for this stock (decimal, up to 2 decimal places) |
decimal number |
Required |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| sys_computed_eco_stock |
Quantity in stock computed for the article after all stock movements (Read-only) |
decimal number | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "ad6c66cf-e090-4bf0-b904-ffbdf784d3e9",
"article_stock_location_id": "11ecec14-27c4-4457-9d90-ac6e27edbacb",
"article_stock_location_reference_back_office": "sample string 3",
"article_id": "2cb92571-5f06-4c15-95cc-da88bc8b498b",
"article_code": "sample string 5",
"quantity": 6.0,
"reference_back_office": "sample string 7",
"sys_computed_eco_stock": 8.0,
"modified_dateutc": "2026-10-26T10:57:46.6298117+00:00"
}